Last Run Report

Product version: 10.11

Last modified: 31 July 2024

Generates a file with information for a given job run in the specified format.

Endpoint

https://<Director_IP_address>:4443/c/router

Request Example

Request Fields

Field

Type

Value(s)

action string
ReportingManagement
method string
createJobReport
data array See parameters below 
type string rpc
tid integer 1

Data

Field

Type

Description

id

long Job ID

JobExecutionId

long Job execution ID (optional)

startDate

DateTime Start of the reporting period, adjusted to 00:00. When both dates are null, the report covers the last job run

finishDate

DateTime End of the reporting period, adjusted to 23:59. When both dates are null, the report covers the last job run

clientTimeOffsetToUtc

Integer Offset from UTC time zone in milliseconds (optional)

exportType

string The format for the exported file. Can be “CSV”, “PDF”, or “HTML”

Error Response Sample

Response Fields

Field

Value

Description

message string Message if the request failed
where string Reference to the method where the problem occurred
cause string Cause of failure